Package org.eclipse.graphiti.mm.algorithms.styles

# Enum Class Orientation

java.lang.Object
java.lang.Enum<Orientation>
org.eclipse.graphiti.mm.algorithms.styles.Orientation

All Implemented Interfaces:
  `Serializable`, `Comparable<Orientation>`, `Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum Orientation extends Enum<Orientation> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration 'Orientation', and utility methods for working with them.

See Also:
  - `StylesPackage.getOrientation()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALIGNMENT_BOTTOM`
The 'ALIGNMENT BOTTOM' literal object.
`ALIGNMENT_CENTER`
The 'ALIGNMENT CENTER' literal object.
`ALIGNMENT_LEFT`
The 'ALIGNMENT LEFT' literal object.
`ALIGNMENT_MIDDLE`
The 'ALIGNMENT MIDDLE' literal object.
`ALIGNMENT_RIGHT`
The 'ALIGNMENT RIGHT' literal object.
`ALIGNMENT_TOP`
The 'ALIGNMENT TOP' literal object.
`UNSPECIFIED`
The 'UNSPECIFIED' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ALIGNMENT_BOTTOM_VALUE`
The 'ALIGNMENT BOTTOM' literal value.
`static final int`
`ALIGNMENT_CENTER_VALUE`
The 'ALIGNMENT CENTER' literal value.
`static final int`
`ALIGNMENT_LEFT_VALUE`
The 'ALIGNMENT LEFT' literal value.
`static final int`
`ALIGNMENT_MIDDLE_VALUE`
The 'ALIGNMENT MIDDLE' literal value.
`static final int`
`ALIGNMENT_RIGHT_VALUE`
The 'ALIGNMENT RIGHT' literal value.
`static final int`
`ALIGNMENT_TOP_VALUE`
The 'ALIGNMENT TOP' literal value.
`static final int`
`UNSPECIFIED_VALUE`
The 'UNSPECIFIED' literal value.
`static final List<Orientation>`
`VALUES`
A public read-only list of all the 'Orientation' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static Orientation`
`get(int value)`
Returns the 'Orientation' literal with the specified integer value.
`static Orientation`
`get(String literal)`
Returns the 'Orientation' literal with the specified literal value.
`static Orientation`
`getByName(String name)`
Returns the 'Orientation' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static Orientation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Orientation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALIGNMENT_CENTER

public static final Orientation ALIGNMENT_CENTER
The 'ALIGNMENT CENTER' literal object.

See Also:
  - `ALIGNMENT_CENTER_VALUE`

### ALIGNMENT_LEFT

public static final Orientation ALIGNMENT_LEFT
The 'ALIGNMENT LEFT' literal object.

See Also:
  - `ALIGNMENT_LEFT_VALUE`

### ALIGNMENT_TOP

public static final Orientation ALIGNMENT_TOP
The 'ALIGNMENT TOP' literal object.

See Also:
  - `ALIGNMENT_TOP_VALUE`

### ALIGNMENT_RIGHT

public static final Orientation ALIGNMENT_RIGHT
The 'ALIGNMENT RIGHT' literal object.

See Also:
  - `ALIGNMENT_RIGHT_VALUE`

### ALIGNMENT_BOTTOM

public static final Orientation ALIGNMENT_BOTTOM
The 'ALIGNMENT BOTTOM' literal object.

See Also:
  - `ALIGNMENT_BOTTOM_VALUE`

### ALIGNMENT_MIDDLE

public static final Orientation ALIGNMENT_MIDDLE
The 'ALIGNMENT MIDDLE' literal object.

See Also:
  - `ALIGNMENT_MIDDLE_VALUE`

### UNSPECIFIED

public static final Orientation UNSPECIFIED
The 'UNSPECIFIED' literal object.

See Also:
  - `UNSPECIFIED_VALUE`

## Field Details

### ALIGNMENT_CENTER_VALUE

public static final int ALIGNMENT_CENTER_VALUE
The 'ALIGNMENT CENTER' literal value.

If the meaning of 'ALIGNMENT CENTER' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ALIGNMENT_CENTER`
  - Constant Field Values

### ALIGNMENT_LEFT_VALUE

public static final int ALIGNMENT_LEFT_VALUE
The 'ALIGNMENT LEFT' literal value.

If the meaning of 'ALIGNMENT LEFT' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ALIGNMENT_LEFT`
  - Constant Field Values

### ALIGNMENT_TOP_VALUE

public static final int ALIGNMENT_TOP_VALUE
The 'ALIGNMENT TOP' literal value.

If the meaning of 'ALIGNMENT TOP' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ALIGNMENT_TOP`
  - Constant Field Values

### ALIGNMENT_RIGHT_VALUE

public static final int ALIGNMENT_RIGHT_VALUE
The 'ALIGNMENT RIGHT' literal value.

If the meaning of 'ALIGNMENT RIGHT' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ALIGNMENT_RIGHT`
  - Constant Field Values

### ALIGNMENT_BOTTOM_VALUE

public static final int ALIGNMENT_BOTTOM_VALUE
The 'ALIGNMENT BOTTOM' literal value.

If the meaning of 'ALIGNMENT BOTTOM' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ALIGNMENT_BOTTOM`
  - Constant Field Values

### ALIGNMENT_MIDDLE_VALUE

public static final int ALIGNMENT_MIDDLE_VALUE
The 'ALIGNMENT MIDDLE' literal value.

If the meaning of 'ALIGNMENT MIDDLE' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ALIGNMENT_MIDDLE`
  - Constant Field Values

### UNSPECIFIED_VALUE

public static final int UNSPECIFIED_VALUE
The 'UNSPECIFIED' literal value.

If the meaning of 'UNSPECIFIED' literal object isn't clear, there really should be more of a description here...

See Also:
  - `UNSPECIFIED`
  - Constant Field Values

### VALUES

public static final List<Orientation> VALUES
A public read-only list of all the 'Orientation' enumerators.

## Method Details

### values

public static Orientation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Orientation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static Orientation get(String literal)
Returns the 'Orientation' literal with the specified literal value.

### getByName

public static Orientation getByName(String name)
Returns the 'Orientation' literal with the specified name.

### get

public static Orientation get(int value)
Returns the 'Orientation' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<Orientation>`